package com.deepclone.lw.beans.prefs;


import java.util.Map;

import com.deepclone.lw.interfaces.prefs.PreferenceType;



abstract class PreferenceTypeImpl< T >
		implements PreferenceType< T >
{

	private final Class< T > type;


	public PreferenceTypeImpl( Class< T > type )
	{
		this.type = type;
	}


	@Override
	public Object valueOf( String inValue )
	{
		return this.valueOf( inValue , this.type );
	}


	@Override
	public Map< String , String > getChoices( )
	{
		return null;
	}


	public Class< T > getType( )
	{
		return type;
	}

}
