package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@XStreamAlias( "account" )
public class AccountInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	@XStreamAsAttribute
	@XStreamAlias( "id" )
	private int id;

	@XStreamAsAttribute
	@XStreamAlias( "address" )
	private String address;

	@XStreamAsAttribute
	@XStreamAlias( "language" )
	private String language;

	@XStreamAsAttribute
	@XStreamAlias( "game-credits" )
	private int gameCredits;

	@XStreamAsAttribute
	@XStreamAlias( "status" )
	private String status;


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getAddress( )
	{
		return address;
	}


	public void setAddress( String address )
	{
		this.address = address;
	}


	public String getLanguage( )
	{
		return language;
	}


	public void setLanguage( String language )
	{
		this.language = language;
	}


	public int getGameCredits( )
	{
		return gameCredits;
	}


	public void setGameCredits( int gameCredits )
	{
		this.gameCredits = gameCredits;
	}


	public String getStatus( )
	{
		return status;
	}


	public void setStatus( String status )
	{
		this.status = status;
	}

}
