package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@XStreamAlias( "alliance" )
public class AllianceInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	@XStreamAsAttribute
	@XStreamAlias( "id" )
	private int id;

	@XStreamAsAttribute
	@XStreamAlias( "tag" )
	private String tag;

	@XStreamAsAttribute
	@XStreamAlias( "pending" )
	private boolean pending;


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getTag( )
	{
		return tag;
	}


	public void setTag( String tag )
	{
		this.tag = tag;
	}


	public boolean isPending( )
	{
		return pending;
	}


	public void setPending( boolean pending )
	{
		this.pending = pending;
	}

}
