/*
 * Test privileges on verse.resource_providers
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'verse.resource_providers - INSERT privileges' );
	SELECT throws_ok(
		$$ INSERT INTO verse.resource_providers( resource_name_id ) VALUES ( 1 ); $$ ,
		42501 );

	SELECT diag_test_name( 'verse.resource_providers - UPDATE privileges' );
	SELECT throws_ok(
		$$ UPDATE verse.resource_providers SET resprov_quantity = 42; $$ ,
		42501 );

	SELECT diag_test_name( 'verse.resource_providers - SELECT privileges' );
	SELECT throws_ok(
		$$ SELECT * FROM verse.resource_providers; $$ ,
		42501 );

	SELECT diag_test_name( 'verse.resource_providers - DELETE privileges' );
	SELECT throws_ok(
		$$ DELETE FROM verse.resource_providers; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;