/*
 * Test privileges on verse.planet_resources
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'verse.planet_resources - INSERT privileges' );
	SELECT throws_ok(
		$$ INSERT INTO verse.planet_resources( resource_name_id ) VALUES ( 1 ); $$ ,
		42501 );

	SELECT diag_test_name( 'verse.resource_providers - UPDATE privileges' );
	SELECT throws_ok(
		$$ UPDATE verse.planet_resources SET pres_income = 42; $$ ,
		42501 );

	SELECT diag_test_name( 'verse.planet_resources - SELECT privileges' );
	SELECT throws_ok(
		$$ SELECT * FROM verse.planet_resources; $$ ,
		42501 );

	SELECT diag_test_name( 'verse.planet_resources - DELETE privileges' );
	SELECT throws_ok(
		$$ DELETE FROM verse.planet_resources; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;