package com.deepclone.lw.sqld.accounts;


import java.sql.Timestamp;

import com.deepclone.lw.cmd.admin.users.AccountStatus;



public class Account
{

	private int id;

	private String address;

	private String language;

	private String passMd5;

	private String passSha1;

	private int gameCredits;

	private AccountStatus status;

	private String validationToken;

	private String pwdRecoveryToken;

	private String addressChangeToken;

	private String newAddress;

	private Integer vacationCredits;

	private Integer vacationTime;

	private Timestamp vacationStart;

	private Timestamp inactivityStart;

	private String inactivityReason;

	private Integer banRequestId;


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getAddress( )
	{
		return address;
	}


	public void setAddress( String address )
	{
		this.address = address;
	}


	public String getLanguage( )
	{
		return language;
	}


	public void setLanguage( String language )
	{
		this.language = language;
	}


	public String getPassMd5( )
	{
		return passMd5;
	}


	public void setPassMd5( String passMd5 )
	{
		this.passMd5 = passMd5;
	}


	public String getPassSha1( )
	{
		return passSha1;
	}


	public void setPassSha1( String passSha1 )
	{
		this.passSha1 = passSha1;
	}


	public int getGameCredits( )
	{
		return gameCredits;
	}


	public void setGameCredits( int gameCredits )
	{
		this.gameCredits = gameCredits;
	}


	public AccountStatus getStatus( )
	{
		return status;
	}


	public void setStatus( AccountStatus status )
	{
		this.status = status;
	}


	public String getValidationToken( )
	{
		return validationToken;
	}


	public void setValidationToken( String validationToken )
	{
		this.validationToken = validationToken;
	}


	public String getPwdRecoveryToken( )
	{
		return pwdRecoveryToken;
	}


	public void setPwdRecoveryToken( String pwdRecoveryToken )
	{
		this.pwdRecoveryToken = pwdRecoveryToken;
	}


	public String getAddressChangeToken( )
	{
		return addressChangeToken;
	}


	public void setAddressChangeToken( String addressChangeToken )
	{
		this.addressChangeToken = addressChangeToken;
	}


	public String getNewAddress( )
	{
		return newAddress;
	}


	public void setNewAddress( String newAddress )
	{
		this.newAddress = newAddress;
	}


	public Integer getVacationCredits( )
	{
		return vacationCredits;
	}


	public void setVacationCredits( Integer vacationCredits )
	{
		this.vacationCredits = vacationCredits;
	}


	public Integer getVacationTime( )
	{
		return vacationTime;
	}


	public void setVacationTime( Integer vacationTime )
	{
		this.vacationTime = vacationTime;
	}


	public Timestamp getVacationStart( )
	{
		return vacationStart;
	}


	public void setVacationStart( Timestamp vacationStart )
	{
		this.vacationStart = vacationStart;
	}


	public Timestamp getInactivityStart( )
	{
		return inactivityStart;
	}


	public void setInactivityStart( Timestamp inactivityStart )
	{
		this.inactivityStart = inactivityStart;
	}


	public String getInactivityReason( )
	{
		return inactivityReason;
	}


	public void setInactivityReason( String inactivityReason )
	{
		this.inactivityReason = inactivityReason;
	}


	public Integer getBanRequestId( )
	{
		return banRequestId;
	}


	public void setBanRequestId( Integer banRequestId )
	{
		this.banRequestId = banRequestId;
	}

}
