package com.deepclone.lw.sqld.msgs;


import java.util.LinkedList;
import java.util.List;



public class FleetEventRecord
		extends EventRecord
{
	private int locationId;
	private String locationName;
	private int x;
	private int y;
	private int orbit;
	private final List< FleetEventFleet > fleets = new LinkedList< FleetEventFleet >( );


	public int getLocationId( )
	{
		return locationId;
	}


	public void setLocationId( int locationId )
	{
		this.locationId = locationId;
	}


	public String getLocationName( )
	{
		return locationName;
	}


	public void setLocationName( String locationName )
	{
		this.locationName = locationName;
	}


	public int getX( )
	{
		return x;
	}


	public void setX( int x )
	{
		this.x = x;
	}


	public int getY( )
	{
		return y;
	}


	public void setY( int y )
	{
		this.y = y;
	}


	public int getOrbit( )
	{
		return orbit;
	}


	public void setOrbit( int orbit )
	{
		this.orbit = orbit;
	}


	public List< FleetEventFleet > getFleets( )
	{
		return fleets;
	}


	public void addFleet( FleetEventFleet fleet )
	{
		this.fleets.add( fleet );
	}

}
