package com.deepclone.lw.interfaces.acm;


import com.deepclone.lw.interfaces.naming.EmpireNameException;
import com.deepclone.lw.interfaces.naming.MapNameException;



public class JoinGameException
		extends Exception
{

	private static final long serialVersionUID = 1L;

	public final boolean validated;
	public final EmpireNameException.Error empireNameError;
	public final MapNameException.Error mapNameError;


	public JoinGameException( boolean validated , EmpireNameException.Error empireNameError ,
			MapNameException.Error mapNameError )
	{
		this.validated = validated;
		this.empireNameError = empireNameError;
		this.mapNameError = mapNameError;
	}

}
