package com.deepclone.lw.interfaces.bt;


import com.deepclone.lw.cmd.bt.data.*;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.bt.*;



public interface AdminBugs
{

	public BugsSummaryResponse getSummary( Administrator admin );


	public ListBugsResponse getBugs( Administrator admin , BugStatus status , boolean ownOnly , long first , int count );


	public ReportBugResponse postReport( Administrator admin , String title , String contents , boolean publicReport );


	ViewBugResponse getReport( Administrator admin , long bugId );


	public PostCommentResponse postComment( Administrator admin , long bugId , String comment , boolean publicComment );


	public void moderateComment( Administrator admin , long commentId , boolean validation );


	public void validateReport( Administrator admin , long bugId , BugStatus status , boolean publicReport , int credits, boolean snapshot );


	public void setStatus( Administrator admin , long bugId , BugStatus status );


	public void toggleVisibility( Administrator admin , long bugId );


	public MergeReportsResponse mergeReports( Administrator admin , long id , long mergeId );


	public GetSnapshotResponse getSnapshot( Administrator admin , long bugId );

}
