package com.deepclone.lw.interfaces.eventlog;


/**
 * This interface is used by the server's in-base logger.
 * 
 * @author tseeker
 */
public interface Logger
{

	/**
	 * Creates a logger for system actions, using the specified string as the component's name.
	 * 
	 * @param component
	 *            the name of the component producing log entries
	 * @return a {@link SystemLogger} for the specified component
	 */
	public SystemLogger getSystemLogger( String component );

}
