package com.deepclone.lw.interfaces.game;


import java.util.Map;

import com.deepclone.lw.cmd.player.fleets.MultiFleetsResponse;
import com.deepclone.lw.cmd.player.fleets.SplitFleetResponse;
import com.deepclone.lw.cmd.player.fleets.ViewFleetsResponse;



public interface FleetManagement
{

	public ViewFleetsResponse getFleets( int empireId );


	public MultiFleetsResponse move( int empireId , long[] fleets , String destination , boolean attack );


	public MultiFleetsResponse setMode( int empireId , long[] fleets , boolean attack , boolean doIt );


	public MultiFleetsResponse rename( int empireId , long[] fleets , String name );


	public MultiFleetsResponse merge( int empireId , long[] fleets );


	public SplitFleetResponse split( int empireId , long fleetId , Map< Integer , Integer > ships , int nFleets ,
			String name , boolean simulate );


	public MultiFleetsResponse disband( int empireId , long[] fleets , boolean doIt );

}
