package com.deepclone.lw.interfaces.i18n;


/**
 * This exception is thrown by the administration session object if the creation of a language is
 * requested using an identifier that is already present in the database.
 * 
 * @author tseeker
 */
public class DuplicateLanguageException
		extends I18NException
{

	private static final long serialVersionUID = 1L;


	public DuplicateLanguageException( String message )
	{
		super( message );
	}

}
