package com.deepclone.lw.interfaces.msg;


import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.cmd.admin.msg.*;



public interface AdminMessages
{

	public GetMessagesResponse getMessages( Administrator admin , boolean inbox );


	public ReadMessageResponse getMessage( Administrator admin , boolean inbox , long id );


	public void deleteMessages( Administrator admin , boolean inbox , long[] selection );


	public void markRead( Administrator admin , long[] selection );


	public void markUnread( Administrator admin , long[] selection );


	public ComposeMessageResponse prepareBlankMessage( Administrator admin );


	public ComposeMessageResponse prepareMessageTo( Administrator admin , MessageType type , int id );


	public ComposeMessageResponse sendMessage( Administrator admin , MessageType type , String target , String title ,
			String contents , boolean simulate );


	public ComposeMessageResponse sendReply( Administrator admin , boolean inbox , long replyTo , MessageType type ,
			String target , String title , String contents , boolean simulate );


	public ComposeMessageResponse prepareReply( Administrator admin , boolean inbox , long id );


	public void sendSpam( Administrator admin , String title , String body );
}
