package com.deepclone.lw.cli.xmlimport.data.resources;

import com.deepclone.lw.cli.ImportResources;


/**
 * Enum representing the error codes returned by the uoc_* stored procedures in
 * {@link ImportResources}
 * 
 * @author <a href="tim@mitheren.com">T. Rosser</a>
 * 
 */
public enum UOCResourceErrorCode {
	CREATED ,
	UPDATED ,
	BAD_TYPE ,
	BAD_STRINGS ,
	BAD_VALUE ,
	DUP_DESCR;
}
