package com.deepclone.lw.cmd.admin;


import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.session.CommandResponse;



public class AdminResponse
		extends CommandResponse
{

	private static final long serialVersionUID = 1L;

	private final Administrator admin;
	private final boolean privilegeOk;


	public AdminResponse( Administrator admin )
	{
		this.admin = admin;
		this.privilegeOk = true;
	}


	public AdminResponse( Administrator admin , boolean priv )
	{
		this.admin = admin;
		this.privilegeOk = priv;
	}


	public Administrator getAdmin( )
	{
		return admin;
	}


	public boolean isPrivilegeOk( )
	{
		return privilegeOk;
	}

}
