package com.deepclone.lw.cmd.admin.bt;


import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class GetSnapshotResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final String snapshot;


	public GetSnapshotResponse( Administrator admin , boolean privError )
	{
		super( admin , !privError );
		this.snapshot = null;
	}


	public GetSnapshotResponse( Administrator admin , String snapshot )
	{
		super( admin );
		this.snapshot = snapshot;
	}


	public String getSnapshot( )
	{
		return snapshot;
	}

}
