package com.deepclone.lw.cmd.admin.logs;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class GetEntryResponse
		extends AdminResponse
{
	private static final long serialVersionUID = 1L;

	private final LogEntry entry;
	private final List< ExceptionEntry > exceptions;


	public GetEntryResponse( Administrator admin , boolean privError )
	{
		super( admin , !privError );
		this.entry = null;
		this.exceptions = null;
	}


	public GetEntryResponse( Administrator admin , LogEntry entry , List< ExceptionEntry > exceptions )
	{
		super( admin );
		this.entry = entry;
		this.exceptions = exceptions;
	}


	public LogEntry getEntry( )
	{
		return entry;
	}


	public List< ExceptionEntry > getExceptions( )
	{
		return exceptions;
	}

}
