package com.deepclone.lw.cmd.admin.logs;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ViewLogResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final long count;
	private final List< LogEntry > entries;


	public ViewLogResponse( Administrator admin )
	{
		super( admin , false );
		this.count = 0;
		this.entries = null;
	}


	public ViewLogResponse( Administrator admin , long count , List< LogEntry > entries )
	{
		super( admin );
		this.count = count;
		this.entries = entries;
	}


	public long getCount( )
	{
		return count;
	}


	public List< LogEntry > getEntries( )
	{
		return entries;
	}

}
