package com.deepclone.lw.cmd.admin.msg;


import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.session.Command;



public class ComposeMessageCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final Boolean inbox;
	private final Long replyTo;

	private MessageType type;
	private String target;
	private String subject;
	private String contents;


	public ComposeMessageCommand( )
	{
		this.inbox = null;
		this.replyTo = null;
	}


	public ComposeMessageCommand( boolean inbox , long replyTo )
	{
		this.inbox = inbox;
		this.replyTo = replyTo;
	}


	public MessageType getType( )
	{
		return type;
	}


	public void setType( MessageType type )
	{
		this.type = type;
	}


	public String getTarget( )
	{
		return target;
	}


	public void setTarget( String target )
	{
		this.target = target;
	}


	public String getSubject( )
	{
		return subject;
	}


	public void setSubject( String subject )
	{
		this.subject = subject;
	}


	public String getContents( )
	{
		return contents;
	}


	public void setContents( String contents )
	{
		this.contents = contents;
	}


	public Boolean getInbox( )
	{
		return inbox;
	}


	public Long getReplyTo( )
	{
		return replyTo;
	}

}
