package com.deepclone.lw.cmd.admin.su;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ListAdministratorsResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final List< Administrator > administrators;


	public ListAdministratorsResponse( Administrator admin )
	{
		super( admin , false );
		this.administrators = null;
	}


	public ListAdministratorsResponse( Administrator admin , List< Administrator > administrators )
	{
		super( admin );
		this.administrators = administrators;
	}


	public List< Administrator > getAdministrators( )
	{
		return administrators;
	}

}
