package com.deepclone.lw.cmd.admin.tick;


import java.io.Serializable;
import java.sql.Timestamp;



public class TickerTaskInfo
		implements Serializable , Comparable< TickerTaskInfo >
{

	private static final long serialVersionUID = 1L;

	private int id;
	private String name;
	private TickerTaskStatus status;
	private Timestamp start;
	private Long timeToStart;


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public TickerTaskStatus getStatus( )
	{
		return status;
	}


	public void setStatus( TickerTaskStatus status )
	{
		this.status = status;
	}


	public Timestamp getStart( )
	{
		return start;
	}


	public void setStart( Timestamp start )
	{
		this.start = start;
	}


	public Long getTimeToStart( )
	{
		return timeToStart;
	}


	public void setTimeToStart( Long timeToStart )
	{
		this.timeToStart = timeToStart;
	}


	@Override
	public int compareTo( TickerTaskInfo other )
	{
		if ( other == null ) {
			return 1;
		}
		return this.name.compareTo( other.name );
	}

}
