package com.deepclone.lw.cmd.admin.users;


import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ViewAccountResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final AccountViewEntry account;


	public ViewAccountResponse( Administrator admin )
	{
		super( admin , false );
		this.account = null;
	}


	public ViewAccountResponse( Administrator admin , AccountViewEntry account )
	{
		super( admin );
		this.account = account;
	}


	public AccountViewEntry getAccount( )
	{
		return account;
	}

}
