package com.deepclone.lw.cmd.bt;


import com.deepclone.lw.cmd.bt.data.BugStatus;
import com.deepclone.lw.session.Command;



public class ListBugsCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final BugStatus status;
	private final boolean ownOnly;
	private final long first;
	private final int count;


	public ListBugsCommand( BugStatus status , boolean ownOnly , long first , int count )
	{
		this.status = status;
		this.ownOnly = ownOnly;
		this.first = first;
		this.count = count;
	}


	public BugStatus getStatus( )
	{
		return status;
	}


	public boolean isOwnOnly( )
	{
		return ownOnly;
	}


	public long getFirst( )
	{
		return first;
	}


	public int getCount( )
	{
		return count;
	}

}
