package com.deepclone.lw.cmd.bt.data;


import java.io.Serializable;
import java.sql.Timestamp;



public class BugReport
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private long reportId;
	private String title;
	private Timestamp posted;
	private boolean visible;
	private BugStatus status;
	private BugSubmitter initialSubmitter;
	private Timestamp lastUpdate;
	private BugSubmitter latestSubmitter;
	private boolean updated;


	public long getReportId( )
	{
		return reportId;
	}


	public void setReportId( long reportId )
	{
		this.reportId = reportId;
	}


	public String getTitle( )
	{
		return title;
	}


	public void setTitle( String title )
	{
		this.title = title;
	}


	public Timestamp getPosted( )
	{
		return posted;
	}


	public void setPosted( Timestamp posted )
	{
		this.posted = posted;
	}


	public boolean isVisible( )
	{
		return visible;
	}


	public void setVisible( boolean visible )
	{
		this.visible = visible;
	}


	public BugStatus getStatus( )
	{
		return status;
	}


	public void setStatus( BugStatus status )
	{
		this.status = status;
	}


	public BugSubmitter getInitialSubmitter( )
	{
		return initialSubmitter;
	}


	public void setInitialSubmitter( BugSubmitter initialSubmitter )
	{
		this.initialSubmitter = initialSubmitter;
	}


	public Timestamp getLastUpdate( )
	{
		return lastUpdate;
	}


	public void setLastUpdate( Timestamp lastUpdate )
	{
		this.lastUpdate = lastUpdate;
	}


	public BugSubmitter getLatestSubmitter( )
	{
		return latestSubmitter;
	}


	public void setLatestSubmitter( BugSubmitter latestSubmitter )
	{
		this.latestSubmitter = latestSubmitter;
	}


	public boolean isUpdated( )
	{
		return updated;
	}


	public void setUpdated( boolean updated )
	{
		this.updated = updated;
	}

}
