package com.deepclone.lw.cmd.ext;


import com.deepclone.lw.session.CommandResponse;



public class ConfirmPasswordRecoveryResponse
		extends CommandResponse
{

	private static final long serialVersionUID = 1L;

	public static enum PasswordRecoveryStatus {
		OK ,
		INVALID_MAIL ,
		WEAK_PASSWORD ,
		MISMATCH_PASSWORD ,
		NOT_FOUND ,
		ACCOUNT_STATUS ,
		PROHIBITED
	}

	private final PasswordRecoveryStatus status;


	public ConfirmPasswordRecoveryResponse( PasswordRecoveryStatus status )
	{
		this.status = status;
	}


	public PasswordRecoveryStatus getStatus( )
	{
		return this.status;
	}

}
