package com.deepclone.lw.cmd.msgdata;


import java.io.Serializable;
import java.sql.Timestamp;

import com.deepclone.lw.cmd.player.gdata.GameTime;



public class Message
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private long id;
	private Long previous;
	private Long next;

	private boolean unread;
	private MessageType type;

	private String sender;
	private String receiver;
	private Timestamp time;
	private GameTime gameTime;

	private String title;
	private String contents;


	public long getId( )
	{
		return id;
	}


	public void setId( long id )
	{
		this.id = id;
	}


	public Long getPrevious( )
	{
		return previous;
	}


	public void setPrevious( Long previous )
	{
		this.previous = previous;
	}


	public Long getNext( )
	{
		return next;
	}


	public void setNext( Long next )
	{
		this.next = next;
	}


	public boolean isUnread( )
	{
		return unread;
	}


	public void setUnread( boolean unread )
	{
		this.unread = unread;
	}


	public MessageType getType( )
	{
		return type;
	}


	public void setType( MessageType type )
	{
		this.type = type;
	}


	public String getSender( )
	{
		return sender;
	}


	public void setSender( String sender )
	{
		this.sender = sender;
	}


	public String getReceiver( )
	{
		return receiver;
	}


	public void setReceiver( String receiver )
	{
		this.receiver = receiver;
	}


	public Timestamp getTime( )
	{
		return time;
	}


	public void setTime( Timestamp time )
	{
		this.time = time;
	}


	public GameTime getGameTime( )
	{
		return gameTime;
	}


	public void setGameTime( long tick )
	{
		this.gameTime = new GameTime( tick );
	}


	public String getTitle( )
	{
		return title;
	}


	public void setTitle( String title )
	{
		this.title = title;
	}


	public String getContents( )
	{
		return contents;
	}


	public void setContents( String contents )
	{
		this.contents = contents;
	}

}
