package com.deepclone.lw.cmd.player;


import com.deepclone.lw.cmd.player.gdata.MapSize;
import com.deepclone.lw.session.Command;



public class ViewMapCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final boolean defaults;
	private final Integer x;
	private final Integer y;
	private final MapSize size;


	public ViewMapCommand( )
	{
		this.defaults = true;
		this.x = null;
		this.y = null;
		this.size = null;
	}


	public ViewMapCommand( int x , int y , MapSize size )
	{
		this.defaults = false;
		this.x = x;
		this.y = y;
		this.size = size;
	}


	public boolean isDefaults( )
	{
		return defaults;
	}


	public Integer getX( )
	{
		return x;
	}


	public Integer getY( )
	{
		return y;
	}


	public MapSize getSize( )
	{
		return size;
	}

}
