package com.deepclone.lw.cmd.player.elist;


import java.util.List;

import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.NameIdPair;



public class AddEnemyResponse
		extends EnemyListResponse
{

	private static final long serialVersionUID = 1L;

	private final ObjectNameError error;
	private final boolean alliance;
	private final String name;


	public AddEnemyResponse( GamePageData page , List< NameIdPair > empires , List< NameIdPair > alliances ,
			ObjectNameError error , boolean alliance , String name )
	{
		super( page , empires , alliances );
		this.error = error;
		this.alliance = alliance;
		this.name = name;
	}


	public ObjectNameError getError( )
	{
		return error;
	}


	public boolean isAlliance( )
	{
		return alliance;
	}


	public String getName( )
	{
		return name;
	}

}
