package com.deepclone.lw.cmd.player.gdata;


import java.util.HashMap;
import java.util.Map;



public enum MailPreference {

	NO_MAIL( "mailPrefNo" ) ,
	DAILY_RECAP( "mailPrefRecap" ) ,
	INSTANT( "mailPrefInstant" );

	private String i18nId;


	private MailPreference( String i18nId )
	{
		this.i18nId = i18nId;
	}


	public static Map< MailPreference , String > getValues( )
	{
		Map< MailPreference , String > v = new HashMap< MailPreference , String >( );
		for ( MailPreference s : MailPreference.values( ) ) {
			v.put( s , s.i18nId );
		}
		return v;
	}
}
