package com.deepclone.lw.cmd.player.gdata;


import java.util.HashMap;
import java.util.Map;



public enum MapSize {

	SMALL( "mapSizeSmall" ) ,
	MEDIUM( "mapSizeMedium" ) ,
	LARGE( "mapSizeLarge" );

	private String i18nId;


	private MapSize( String i18nId )
	{
		this.i18nId = i18nId;
	}


	public static Map< MapSize , String > getValues( )
	{
		Map< MapSize , String > v = new HashMap< MapSize , String >( );
		for ( MapSize s : MapSize.values( ) ) {
			v.put( s , s.i18nId );
		}
		return v;
	}

}
