package com.deepclone.lw.cmd.player.gdata.battles;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.TimeCombo;



public class BattleHistoryInterval
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private TimeCombo begin;
	private boolean battleBegins;
	private TimeCombo end;
	private boolean battleEnds;

	private final List< BattleHistoryTick > entries = new LinkedList< BattleHistoryTick >( );


	public TimeCombo getBegin( )
	{
		return begin;
	}


	public boolean isBattleBegins( )
	{
		return battleBegins;
	}


	public void setBegin( long tick , boolean battle )
	{
		this.battleBegins = battle;
		this.begin = new TimeCombo( tick );
	}


	public TimeCombo getEnd( )
	{
		return end;
	}


	public boolean isBattleEnds( )
	{
		return battleEnds;
	}


	public void setEnd( long tick , boolean battle )
	{
		this.battleEnds = battle;
		this.end = new TimeCombo( tick );
	}


	public List< BattleHistoryTick > getEntries( )
	{
		return entries;
	}


	public void addEntry( BattleHistoryTick cTick )
	{
		this.entries.add( cTick );
	}

}
