package com.deepclone.lw.cmd.player.gdata.battles;


import java.io.Serializable;



public class BattleShipType
		implements Serializable , Comparable< BattleShipType >
{

	private static final long serialVersionUID = 1L;

	private String name;
	private long cAmount;
	private long cPower;
	private long lAmount;
	private long lPower;


	public BattleShipType( )
	{
		// EMPTY
	}


	public BattleShipType( BattleShipType shipType )
	{
		this.name = shipType.name;
		this.cAmount = shipType.cAmount;
		this.cPower = shipType.cPower;
		this.lAmount = shipType.lAmount;
		this.lPower = shipType.lPower;
	}


	public void add( BattleShipType shipType )
	{
		this.cAmount += shipType.cAmount;
		this.cPower += shipType.cPower;
		this.lAmount += shipType.lAmount;
		this.lPower += shipType.lPower;
	}


	@Override
	public int compareTo( BattleShipType o )
	{
		return this.name.compareTo( o.name );
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public long getcAmount( )
	{
		return cAmount;
	}


	public void setcAmount( long cAmount )
	{
		this.cAmount = cAmount;
	}


	public long getcPower( )
	{
		return cPower;
	}


	public void setcPower( long cPower )
	{
		this.cPower = cPower;
	}


	public long getlAmount( )
	{
		return lAmount;
	}


	public void setlAmount( long lAmount )
	{
		this.lAmount = lAmount;
	}


	public long getlPower( )
	{
		return lPower;
	}


	public void setlPower( long lPower )
	{
		this.lPower = lPower;
	}
}
