package com.deepclone.lw.cmd.player.gdata.map;


import java.io.Serializable;

import com.deepclone.lw.cmd.player.gdata.PlanetRelationType;



public class MapPlanetData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final long id;
	private final int picture;
	private final String name;
	private final String tag;
	private final PlanetRelationType relation;


	public MapPlanetData( long id , int picture , String name , String tag , PlanetRelationType relation )
	{
		this.id = id;
		this.picture = picture;
		this.name = name;
		this.tag = tag;
		this.relation = relation;
	}


	public long getId( )
	{
		return id;
	}


	public int getPicture( )
	{
		return picture;
	}


	public String getName( )
	{
		return name;
	}


	public String getTag( )
	{
		return tag;
	}


	public PlanetRelationType getRelation( )
	{
		return relation;
	}

}
