package com.deepclone.lw.cmd.player.gdata.planets;


import java.io.Serializable;

import com.deepclone.lw.cmd.player.gdata.GameTime;



public abstract class BuildableItemData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private int id;
	private String name;
	private String description;
	private int cost;
	private int upkeep;
	private Long time;
	private GameTime gameTime;


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public String getDescription( )
	{
		return description;
	}


	public void setDescription( String description )
	{
		this.description = description;
	}


	public int getCost( )
	{
		return cost;
	}


	public void setCost( int cost )
	{
		this.cost = cost;
	}


	public int getUpkeep( )
	{
		return upkeep;
	}


	public void setUpkeep( int upkeep )
	{
		this.upkeep = upkeep;
	}


	public Long getTime( )
	{
		return time;
	}


	public void setTime( Long time )
	{
		this.time = time;
		if ( time == null ) {
			this.gameTime = null;
		} else {
			this.gameTime = new GameTime( time );
		}
	}


	public GameTime getGameTime( )
	{
		return gameTime;
	}

}
