package com.deepclone.lw.session;

import java.net.InetAddress;


public interface SessionAccessor
{

	SessionReference create( String type , String client , InetAddress ip )
			throws SessionInternalException;


	SessionReference authenticate( String session , String identifier , String sha1Hash , String md5Hash )
			throws SessionIdentifierException , SessionStateException , SessionInternalException;


	SessionResponse executeCommand( String session , Command command )
			throws SessionIdentifierException , SessionStateException , SessionCommandException ,
			SessionInternalException;


	void terminate( String session )
			throws SessionIdentifierException , SessionInternalException;

}
