<#macro listview>
	<table class="list-view">
		<#nested>
	</table>
</#macro>
<#macro lv_line headers=false class="">
	<tr<#if class != ""> class="${class}<#if headers>headers</#if>"<#elseif headers> class="headers"</#if>>
		<#nested>
	</tr>
</#macro>
<#macro lv_column width=0 centered=false>
	<#if width?is_string>
		<th style="text-align: <#if centered>center<#else>left</#if>">
			<#nested>
		</th>
	<#elseif width gt 0>
		<th style="width: ${width}px; text-align: <#if centered>center<#else>left</#if>">
			<#nested>
		</th>
	<#else>
		<td style="text-align: <#if centered>center<#else>left</#if>">
			<#nested>
		</td>
	</#if>
</#macro>