<@page title="Banhammer">
	<@listview>
	
		<@lv_line headers=true>
			<@lv_column width=300>&nbsp;</@lv_column>
			<@lv_column width=100 centered=true>Entries</@lv_column>
		</@lv_line>

		<#list data.entries as entry>
			<@lv_line>
				<@lv_column>
					<#if entry.count gt 0>
						<a href="bans-${entry.type?lower_case}">
					</#if>
					<#switch entry.type>
						<#case "PENDING">
							Pending requests
							<#break>
						<#case "ARCHIVED">
							Expired and rejected requests
							<#break>
						<#case "VALIDATED">
							Confirmed bans
							<#break>
					</#switch>
					<#if entry.count gt 0>
						</a>
					</#if>
				</@lv_column>
				<@lv_column centered=true>${entry.count}</@lv_column>
			</@lv_line>
		</#list>
		
		<p><a href="request-ban">Request ban</a></p>

	</@listview>
</@page>