<#macro render_constant constant wrong>
	<h2 id="${constant.name?replace("." , "-")}">${constant.name?xhtml}</h2>
	<p>${constant.description?xhtml}</p>
	<#if wrong>
		<@standalone_error>Invalid constant value</@standalone_error>
		<#local cValue = data.value>
	<#else>
		<#local cValue = constant.value>
	</#if>
	<@lineform action="set-constant" hash=constant.name?replace("." , "-")>
		Value:
		<@ff_text name="value" id=constant.name?replace("." , "-") value=cValue?string("#.###") maxLength=10 size=10 />
		<#if constant.minValue?has_content || constant.maxValue?has_content>
			(<#if constant.minValue?has_content>min.: ${constant.minValue?string("#.###")}<#if constant.maxValue?has_content> ; </#if></#if><#if constant.maxValue?has_content>max.: ${constant.maxValue?string("#.###")}</#if>)
		</#if>
		<@ff_submit label="Change" />
		<input type="hidden" name="name" value="${constant.name?xhtml}" /> 
	</@lineform>
	<p>&nbsp;</p>
</#macro>
<@page title="Constants">
	<#list data.categories as category>
		<h1>${category.name?xhtml}</h1>
		<#list category.definitions as constant>
			<@render_constant constant=constant wrong=(((data.name!"") == constant.name) && data.error!false) />
		</#list>
		<p>&nbsp;</p>
	</#list>
</@page>