<@page title="Names">
	<@listview>
		<@lv_line headers=true>
			<@lv_column width=250>Status</@lv_column>
			<@lv_column width=100 centered=true>Names</@lv_column>
		</@lv_line>
		<#list data.entries as entry>
			<@lv_line>
				<@lv_column>
					<#if entry.count gt 0>
						<a href="names-${entry.type.id}">${entry.type.description?xhtml}</a>
					<#else>
						${entry.type.description?xhtml}
					</#if>
				</@lv_column>
				<@lv_column centered=true>${entry.count?string(",##0")}</@lv_column>
			</@lv_line>
		</#list>
	</@listview>
</@page>