package com.deepclone.lw.web.beans.session;


import org.apache.log4j.Logger;

import com.deepclone.lw.cmd.MaintenanceResponse;



public class MaintenanceStatusBean
		implements MaintenanceStatus
{
	private final Logger logger = Logger.getLogger( MaintenanceStatusBean.class );
	private MaintenanceResponse maintenance = null;


	@Override
	synchronized public void storeStatus( MaintenanceResponse response )
	{
		this.logger.debug( "Setting maintenance status response: " + response );
		this.maintenance = response;
	}


	@Override
	synchronized public MaintenanceResponse getStatus( )
	{
		this.logger.debug( "Reading latest maintenance status response: " + this.maintenance );
		return this.maintenance;
	}

}
