package com.deepclone.lw.web.beans.view;


import java.io.Serializable;



public class Page
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private String type;

	private String language;

	private Serializable data;


	public Page( String name , String language )
	{
		this.type = name;
		this.language = language;
	}


	public Page( String name , String language , Serializable data )
	{
		this.type = name;
		this.language = language;
		this.data = data;
	}


	public String getDataType( )
	{
		if ( this.data == null ) {
			return "null";
		}
		return this.data.getClass( ).getSimpleName( );
	}


	public String getLanguage( )
	{
		return this.language;
	}


	public Object getData( )
	{
		return this.data;
	}


	public String getType( )
	{
		return this.type;
	}

}
