<#macro render>
<@page title="Get new planet">
	<p>Hordes of drooling barbarians invaded your empire, slaughtering your women and raping your cattle?</p>
	<p>Well, fear no more! You will be able to get a brand new planet.</p>
	<p>Please note that doing this will disband your fleets.</p>
	<@form action="get-planet" name="get-planet">
		<#switch data.error!>
			<#case "EMPTY"><@form_error>Please select a planet name.</@form_error><#break>
			<#case "INVALID"><@form_error>Invalid planet name.</@form_error><#break>
			<#case "UNAVAILABLE"><@form_error>This planet name is unavailable.</@form_error><#break>
			<#case "BANNED"><@form_error>This planet name has been banned.</@form_error><#break>
		</#switch>
		<@form_text name="name" label="New planet's name" value=data.name! />
		<@form_submit label="Get planet" />
	</@form>
</@page>
</#macro>