package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



public class QueueItemInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	transient private int planetId;

	transient private boolean military;

	@XStreamAsAttribute
	@XStreamAlias( "id" )
	private int id;

	@XStreamAsAttribute
	@XStreamAlias( "name" )
	private String name;

	@XStreamAsAttribute
	@XStreamAlias( "destroy" )
	private boolean destroy;

	@XStreamAsAttribute
	@XStreamAlias( "amount" )
	private int amount;

	public int getPlanetId( )
	{
		return planetId;
	}


	public void setPlanetId( int planetId )
	{
		this.planetId = planetId;
	}


	public boolean isMilitary( )
	{
		return military;
	}


	public void setMilitary( boolean military )
	{
		this.military = military;
	}


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public boolean isDestroy( )
	{
		return destroy;
	}


	public void setDestroy( boolean destroy )
	{
		this.destroy = destroy;
	}


	public int getAmount( )
	{
		return amount;
	}


	public void setAmount( int amount )
	{
		this.amount = amount;
	}

}
