package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@XStreamAlias( "ship-type" )
public class ShipsInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	transient private long fleetId;

	@XStreamAsAttribute
	@XStreamAlias( "id" )
	private int id;

	@XStreamAsAttribute
	@XStreamAlias( "name" )
	private String name;

	@XStreamAsAttribute
	@XStreamAlias( "amount" )
	private long amount;

	@XStreamAsAttribute
	@XStreamAlias( "damage" )
	private double damage;


	public long getFleetId( )
	{
		return fleetId;
	}


	public void setFleetId( long fleetId )
	{
		this.fleetId = fleetId;
	}


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public long getAmount( )
	{
		return amount;
	}


	public void setAmount( long amount )
	{
		this.amount = amount;
	}


	public double getDamage( )
	{
		return damage;
	}


	public void setDamage( double damage )
	{
		this.damage = damage;
	}

}
