/*
 * Test privileges on defs.natural_resources
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'defs.natural_resources - INSERT privileges' );
	SELECT throws_ok(
		$$ INSERT INTO defs.natural_resources( resource_name_id ) VALUES ( 1 ); $$ ,
		42501 );

	SELECT diag_test_name( 'defs.natural_resources - UPDATE privileges' );
	SELECT throws_ok(
		$$ UPDATE defs.natural_resources SET natres_p_presence = 0.5; $$ ,
		42501 );

	SELECT diag_test_name( 'defs.natural_resources - SELECT privileges' );
	SELECT throws_ok(
		$$ SELECT * FROM defs.natural_resources; $$ ,
		42501 );

	SELECT diag_test_name( 'defs.natural_resources - DELETE privileges' );
	SELECT throws_ok(
		$$ DELETE FROM defs.natural_resources; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;