/*
 * Test privileges on emp.planet_mining_settings
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'emp.planet_mining_settings - INSERT privileges' );
	SELECT throws_ok(
		$$ INSERT INTO emp.planet_mining_settings( resource_name_id ) VALUES ( 1 ); $$ ,
		42501 );

	SELECT diag_test_name( 'emp.planet_mining_settings - UPDATE privileges' );
	SELECT throws_ok(
		$$ UPDATE emp.planet_mining_settings SET emppmset_weight = 42; $$ ,
		42501 );

	SELECT diag_test_name( 'emp.planet_mining_settings - SELECT privileges' );
	SELECT throws_ok(
		$$ SELECT * FROM emp.planet_mining_settings; $$ ,
		42501 );

	SELECT diag_test_name( 'emp.planet_mining_settings - DELETE privileges' );
	SELECT throws_ok(
		$$ DELETE FROM emp.planet_mining_settings; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;