/*
 * Test privileges on defs.uoc_natural_resource()
 */
BEGIN;
	SELECT plan( 2 );
	
	SELECT diag_test_name( 'defs.uoc_natural_resource() - Privileges (without category)' );
	SELECT is( defs.uoc_natural_resource( 'test1' , 'test2' , 1 ,
			0.5 , 100 , 50 , 0.5 , 0.1 , 0.5 , 0.1
		) , 'BAD_STRINGS' );
	
	SELECT diag_test_name( 'defs.uoc_natural_resource() - Privileges (with category)' );
	SELECT is( defs.uoc_natural_resource( 'test1' , 'test2' , 'test3' , 1 ,
			0.5 , 100 , 50 , 0.5 , 0.1 , 0.5 , 0.1
		) , 'BAD_STRINGS' );
	
	SELECT * FROM finish( );
ROLLBACK;