package com.deepclone.lw.interfaces.acm;


import java.util.List;

import com.deepclone.lw.cmd.admin.users.SessionTerminationType;
import com.deepclone.lw.cmd.admin.users.UserSession;



public interface UserSessionDAO
{

	public long startSession( int id , String sName , String client , String address );


	public void endSession( long session , SessionTerminationType termination );


	public UserSession getSession( long id );


	public boolean isOnline( int id );


	public List< UserSession > getSessions( int id );

}
