package com.deepclone.lw.interfaces.game;


import com.deepclone.lw.cmd.player.gdata.alliance.AllianceLeaderData;
import com.deepclone.lw.cmd.player.gdata.alliance.AllianceMemberData;
import com.deepclone.lw.cmd.player.gdata.alliance.PublicAllianceInformation;
import com.deepclone.lw.sqld.game.AllianceMembership;



public interface AllianceDAO
{

	public AllianceMembership getAlliance( int empireId );


	public Integer findAlliance( String tag );


	public Integer createAlliance( int empireId , String tag , String name );


	public PublicAllianceInformation getPublicInformation( int allianceId );


	public AllianceMemberData getMemberData( int allianceId );


	public AllianceLeaderData getLeaderData( int allianceId );


	public boolean requestJoin( int empireId , int allianceId );


	public void cancelJoin( int empireId );


	public void leave( int empireId );


	public void transferLeadership( int empireId , int toMember );


	public void manageRequests( int empireId , boolean accept , int[] members );


	public void kick( int empireId , int[] members );

}
