package com.deepclone.lw.interfaces.game;


import java.util.List;
import java.util.Map;

import com.deepclone.lw.sqld.game.battle.*;



public interface BattlesDAO
{

	public EmpireBattleRecord getBattleRecord( int empireId , long battleId );


	public List< PresenceRecord > getPresence( EmpireBattleRecord record );


	public List< EventRecord > getEvents( EmpireBattleRecord record );


	public Map< Boolean , Map< Long , List< EventItemRecord >>> getEventItems( EmpireBattleRecord record );


	public Map< Long , Map< Long , ProtagonistRecord >> getProtagonists( EmpireBattleRecord record );


	public Map< Long , List< BuildingHistoryRecord >> getBuildingsHistory( EmpireBattleRecord record );


	public Map< Long , Map< Long , List< ShipHistoryRecord >>> getShipsHistory( EmpireBattleRecord record );


	List< BattleListRecord > getBattles( int empireId );
}
