package com.deepclone.lw.interfaces.game;


import java.util.List;

import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.player.gdata.NameIdPair;
import com.deepclone.lw.cmd.player.gdata.PlanetListData;
import com.deepclone.lw.cmd.player.gdata.empire.OverviewData;
import com.deepclone.lw.sqld.game.GeneralInformation;



public interface EmpireDAO
{

	public GeneralInformation getInformation( int empireId );


	public List< NameIdPair > getPlanets( int empireId );


	public OverviewData getOverview( int empireId );


	public List< PlanetListData > getPlanetList( int empireId );


	public List< NameIdPair > getEnemies( int empireId , boolean alliances );


	public ObjectNameError addEnemy( int empireId , boolean alliance , String name );


	public void removeEnemies( int empireId , boolean alliance , int[] ids );


	public int getNewPlanet( int empireId , String name );
}
