package com.deepclone.lw.interfaces.game;


import java.util.List;

import com.deepclone.lw.cmd.player.gdata.fleets.FleetsView;
import com.deepclone.lw.cmd.player.gdata.fleets.ShortFleetView;
import com.deepclone.lw.cmd.player.gdata.fleets.SplitShips;



public interface FleetsDAO
{

	public FleetsView getFleets( int empireId );


	public List< ShortFleetView > getShortFleets( int empireId , long[] fleets , boolean needsAvailable );


	public ShortFleetView getShortFleet( int empireId , long fleetId );


	public boolean move( int empireId , long[] fleets , String destination );


	public void setMode( int empireId , long[] fleets , boolean attack );


	public void rename( int empireId , long[] fleets , String name );


	public void merge( int empireId , long[] fleets );


	public void disband( int empireId , long[] fleets );


	public List< SplitShips > getShips( int empireId , long fleetId );


	public boolean initSplit( long fleetId , int nFleets , String name );


	public void setSplitShips( int shipType , int amount );


	public boolean executeSplit( boolean simulate );

}
