package com.deepclone.lw.interfaces.i18n;


/**
 * This exception is thrown by the administration session object when the creation of a string is
 * requested and the new string's identifier is already in use.
 * 
 * @author tseeker
 */
public class DuplicateStringException
		extends I18NException
{

	private static final long serialVersionUID = 1L;


	public DuplicateStringException( String message )
	{
		super( message );
	}

}
