package com.deepclone.lw.interfaces.msg;


import java.util.List;

import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.sqld.msgs.InboxRecord;



public interface MessageBoxDAO
{

	public int sendMessage( boolean admin , int empireId , MessageType type , String target , String title ,
			String contents , boolean simulate );


	public List< InboxRecord > getList( boolean admin , int id , boolean inbox );


	public void markRead( boolean admin , int userId , long[] ids );


	public void markRead( boolean admin , int userId );


	public void markUnread( boolean admin , int userId , long[] ids );


	public void markUnread( boolean admin , int userId );


	public void delete( boolean admin , int userId , boolean inbox , long[] ids );


	public void delete( boolean admin , int userId , boolean inbox );


	public void clearCache( );


	public void sendSpam( int adminId , String title , String body );

}
