package com.deepclone.lw.interfaces.naming;


import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.naming.GetNamesResponse;
import com.deepclone.lw.cmd.admin.naming.NameType;
import com.deepclone.lw.cmd.admin.naming.NamesSummaryResponse;



public interface NamesManager
{
	public NamesSummaryResponse getSummary( Administrator admin );


	public GetNamesResponse getNames( Administrator admin , NameType type );


	public void validateMapNames( Administrator admin , int[] ids );


	public void allowMapNameChanges( Administrator admin , int[] ids );


	public void rejectMapNames( Administrator admin , int[] ids , boolean ban );


	public void rejectEmpireNames( Administrator admin , int[] ids , boolean ban );


	public void rejectAllianceNames( Administrator admin , int[] ids );
}
