package com.deepclone.lw.interfaces.sys;


public class MaintenanceStatusException
		extends Exception
{

	/** Serialisation version identifier */
	private static final long serialVersionUID = 1L;

	public final MaintenanceData maintenanceData;


	public MaintenanceStatusException( )
	{
		super( "not under maintenance" );
		this.maintenanceData = null;
	}


	public MaintenanceStatusException( MaintenanceData data )
	{
		super( "under maintenance" );
		this.maintenanceData = data;
	}

}
