package com.deepclone.lw.cli;


import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.BeanCreationException;
import org.springframework.context.ApplicationContext;

import com.deepclone.lw.srv.ServerTerminator;



public final class Stop
		extends CLITool
{

	private ApplicationContext getContext( )
	{
		Map< String , String > rmiTerminator = new HashMap< String , String >( );
		rmiTerminator.put( "termSrv" , "com.deepclone.lw.srv.ServerTerminator" );

		return this.createClientContext( rmiTerminator );
	}


	@Override
	public void run( )
	{
		ApplicationContext ctx = this.getContext( );
		ServerTerminator terminator;
		try {
			terminator = (ServerTerminator) ctx.getBean( "termSrv" );
		} catch ( BeanCreationException e ) {
			System.err.println("Could not connect to server");
			return;
		}
		terminator.terminate( );
	}

}
