package com.deepclone.lw.cli.dbexport;


import java.io.Serializable;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@SuppressWarnings( "serial" )
@XStreamAlias( "legacyworlds" )
public class LegacyWorldsDB
		implements Serializable
{

	@XStreamAsAttribute
	public int version = 1;

	public List< User > users;

	@XStreamAlias( "bug-reports" )
	public BugReports bugReports = new BugReports( );

}
