package com.deepclone.lw.cli.xmlimport.data.evdef;


import com.thoughtworks.xstream.annotations.XStreamAlias;



/**
 * Definition of a field containing an I18N reference
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
@XStreamAlias( "i18n" )
@SuppressWarnings( "serial" )
public class I18NEventField
		extends EventFieldBase
{

	/** @return {@link EventFieldType#I18N} */
	@Override
	public EventFieldType getType( )
	{
		return EventFieldType.I18N;
	}

}
