package com.deepclone.lw.testing;


import org.springframework.transaction.PlatformTransactionManager;
import org.springframework.transaction.TransactionDefinition;
import org.springframework.transaction.TransactionException;
import org.springframework.transaction.TransactionStatus;



/**
 * A mock transaction manager
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class MockTransactionManager
		implements PlatformTransactionManager
{

	@Override
	public TransactionStatus getTransaction( TransactionDefinition definition )
			throws TransactionException
	{
		return null;
	}


	@Override
	public void commit( TransactionStatus status )
			throws TransactionException
	{
		// EMPTY
	}


	@Override
	public void rollback( TransactionStatus status )
			throws TransactionException
	{
		// EMPTY
	}

}
