package com.deepclone.lw.cmd.admin;


import com.deepclone.lw.session.Command;



public class SetPasswordCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final String sha1Auth;
	private final String md5Auth;
	private final String password;
	private final String passwordConfirm;


	public SetPasswordCommand( String sha1Auth , String md5Auth , String password , String passwordConfirm )
	{
		this.sha1Auth = sha1Auth;
		this.md5Auth = md5Auth;
		this.password = password;
		this.passwordConfirm = passwordConfirm;
	}


	public String getSha1Auth( )
	{
		return sha1Auth;
	}


	public String getMd5Auth( )
	{
		return md5Auth;
	}


	public String getPassword( )
	{
		return password;
	}


	public String getPasswordConfirm( )
	{
		return passwordConfirm;
	}

}
