package com.deepclone.lw.cmd.admin.bt;


import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class BugsSummaryResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final long pending;
	private final long open;
	private final long own;
	private final long updated;
	private final long total;


	public BugsSummaryResponse( Administrator admin )
	{
		super( admin , false );
		this.pending = 0;
		this.open = 0;
		this.own = 0;
		this.updated = 0;
		this.total = 0;
	}


	public BugsSummaryResponse( Administrator admin , long pending , long open , long own , long updated , long total )
	{
		super( admin );
		this.pending = pending;
		this.open = open;
		this.own = own;
		this.updated = updated;
		this.total = total;
	}


	public long getPending( )
	{
		return pending;
	}


	public long getOpen( )
	{
		return open;
	}


	public long getOwn( )
	{
		return own;
	}


	public long getUpdated( )
	{
		return updated;
	}


	public long getTotal( )
	{
		return total;
	}

}
