package com.deepclone.lw.cmd.admin.constants;


import java.util.Collections;
import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class GetConstantsResponse
		extends AdminResponse
{
	private static final long serialVersionUID = 1L;
	private List< Category > categories;


	public GetConstantsResponse( Administrator admin )
	{
		super( admin , false );
	}


	public GetConstantsResponse( Administrator admin , List< Category > constants )
	{
		super( admin , true );
		this.categories = constants;
		Collections.sort( this.categories );
	}


	protected GetConstantsResponse( Administrator admin , boolean error )
	{
		super( admin , !error );
	}


	public List< Category > getCategories( )
	{
		return this.categories;
	}

}
