package com.deepclone.lw.cmd.admin.naming;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class GetNamesResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final NameType type;
	private final List< Name > names;


	public GetNamesResponse( Administrator admin )
	{
		super( admin , false );
		this.type = null;
		this.names = null;
	}


	public GetNamesResponse( Administrator admin , NameType type , List< Name > names )
	{
		super( admin );
		this.type = type;
		this.names = names;
	}


	public NameType getType( )
	{
		return type;
	}


	public List< Name > getNames( )
	{
		return names;
	}

}
