package com.deepclone.lw.cmd.admin.naming;


import com.deepclone.lw.session.Command;



public class NamesActionCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final NameType type;
	private final NameAction action;
	private final int[] identifiers;


	public NamesActionCommand( NameType type , NameAction action , int[] identifiers )
	{
		this.type = type;
		this.identifiers = identifiers;
		this.action = action;
	}


	public NameType getType( )
	{
		return type;
	}


	public NameAction getAction( )
	{
		return action;
	}


	public int[] getIdentifiers( )
	{
		return identifiers;
	}

}
