package com.deepclone.lw.cmd.admin.prefs;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.player.gdata.account.PrefCategory;



public class PrefDefaultsResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final List< PrefCategory > preferences;


	public PrefDefaultsResponse( Administrator admin )
	{
		super( admin , false );
		this.preferences = null;
	}


	public PrefDefaultsResponse( Administrator admin , List< PrefCategory > preferences )
	{
		super( admin );
		this.preferences = preferences;
	}


	public List< PrefCategory > getPreferences( )
	{
		return preferences;
	}

}
