package com.deepclone.lw.cmd.admin.su;


import java.util.Collection;
import java.util.HashSet;
import java.util.Set;

import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.session.Command;



public class AddAdministratorCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final String address;
	private final String appearAs;
	private final Set< Privileges > privileges;


	public AddAdministratorCommand( String address , String appearAs , Collection< Privileges > privileges )
	{
		this.address = address;
		this.appearAs = appearAs;
		this.privileges = new HashSet< Privileges >( privileges );
	}


	public String getAddress( )
	{
		return address;
	}


	public String getAppearAs( )
	{
		return appearAs;
	}


	public Set< Privileges > getPrivileges( )
	{
		return privileges;
	}

}
