package com.deepclone.lw.cmd.admin.tick;


import com.deepclone.lw.session.Command;



public class SetTaskStatusCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final int task;
	private final TickerTaskStatus newStatus;
	private final Long delay;


	public SetTaskStatusCommand( int task , boolean run )
	{
		this.task = task;
		this.newStatus = run ? TickerTaskStatus.RUNNING : TickerTaskStatus.STOPPED;
		this.delay = null;
	}


	public SetTaskStatusCommand( int task , long delay )
	{
		this.task = task;
		this.newStatus = TickerTaskStatus.AUTO;
		this.delay = delay;
	}


	public int getTask( )
	{
		return task;
	}


	public TickerTaskStatus getNewStatus( )
	{
		return newStatus;
	}


	public Long getDelay( )
	{
		return delay;
	}
}
