package com.deepclone.lw.cmd.admin.users;


import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;



public class AccountViewEntry
		extends AccountListEntry
{

	private static final long serialVersionUID = 1L;

	private Integer empireId;
	private int gameCredits;
	private int vacationCredits;
	private Timestamp statusStart;
	private String inactivityReason;
	private AccountBanEntry ban;
	private boolean online;
	private List< String > empireNames = new ArrayList< String >( 0 );
	private int warnings;
	private Timestamp lastWarning;


	public Integer getEmpireId( )
	{
		return empireId;
	}


	public void setEmpireId( Integer empireId )
	{
		this.empireId = empireId;
	}


	public int getGameCredits( )
	{
		return gameCredits;
	}


	public void setGameCredits( int gameCredits )
	{
		this.gameCredits = gameCredits;
	}


	public int getVacationCredits( )
	{
		return vacationCredits;
	}


	public void setVacationCredits( int vacationCredits )
	{
		this.vacationCredits = vacationCredits;
	}


	public Timestamp getStatusStart( )
	{
		return statusStart;
	}


	public void setStatusStart( Timestamp statusStart )
	{
		this.statusStart = statusStart;
	}


	public String getInactivityReason( )
	{
		return inactivityReason;
	}


	public void setInactivityReason( String inactivityReason )
	{
		this.inactivityReason = inactivityReason;
	}


	public AccountBanEntry getBan( )
	{
		return ban;
	}


	public void setBan( AccountBanEntry ban )
	{
		this.ban = ban;
	}


	public boolean isOnline( )
	{
		return online;
	}


	public void setOnline( boolean isOnline )
	{
		this.online = isOnline;
	}


	public List< String > getEmpireNames( )
	{
		return empireNames;
	}


	public void setEmpireNames( List< String > empireNames )
	{
		this.empireNames = empireNames;
	}


	public int getWarnings( )
	{
		return warnings;
	}


	public void setWarnings( int warnings )
	{
		this.warnings = warnings;
	}


	public Timestamp getLastWarning( )
	{
		return lastWarning;
	}


	public void setLastWarning( Timestamp lastWarning )
	{
		this.lastWarning = lastWarning;
	}

}
