package com.deepclone.lw.cmd.admin.users;


import com.deepclone.lw.session.Command;



public class ListAccountsCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final AccountStatus status;
	private final boolean online;


	public ListAccountsCommand( )
	{
		this.status = null;
		this.online = false;
	}


	public ListAccountsCommand( AccountStatus status )
	{
		this.status = status;
		this.online = false;
	}


	public ListAccountsCommand( AccountStatus status , boolean online )
	{
		this.status = status;
		this.online = online;
	}


	public AccountStatus getStatus( )
	{
		return status;
	}


	public boolean isOnline( )
	{
		return online;
	}

}
