package com.deepclone.lw.cmd.admin.users;


public enum SessionTerminationType {

	MANUAL( "Logged out" ) ,
	GONE( "User account is gone" ) ,
	EXPIRED( "Session expired" ) ,
	EXCLUSIVE( "Terminated by new session" ) ,
	SERVER( "Server restart" );

	private final String description;


	private SessionTerminationType( String description )
	{
		this.description = description;
	}


	public String getDescription( )
	{
		return description;
	}

}
