package com.deepclone.lw.cmd.admin.users;


import java.io.Serializable;
import java.sql.Timestamp;



public class UserSession
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private long id;
	private int credentialsId;
	private String clientName;
	private String sessionName;
	private boolean exclusive;
	private String fromAddress;

	private Timestamp started;
	private Timestamp ended;
	private SessionTerminationType endType;


	public long getId( )
	{
		return id;
	}


	public void setId( long id )
	{
		this.id = id;
	}


	public int getCredentialsId( )
	{
		return credentialsId;
	}


	public void setCredentialsId( int credentialsId )
	{
		this.credentialsId = credentialsId;
	}


	public String getClientName( )
	{
		return clientName;
	}


	public void setClientName( String clientName )
	{
		this.clientName = clientName;
	}


	public String getSessionName( )
	{
		return sessionName;
	}


	public void setSessionName( String sessionName )
	{
		this.sessionName = sessionName;
	}


	public boolean isExclusive( )
	{
		return exclusive;
	}


	public void setExclusive( boolean exclusive )
	{
		this.exclusive = exclusive;
	}


	public String getFromAddress( )
	{
		return fromAddress;
	}


	public void setFromAddress( String fromAddress )
	{
		this.fromAddress = fromAddress;
	}


	public Timestamp getStarted( )
	{
		return started;
	}


	public void setStarted( Timestamp started )
	{
		this.started = started;
	}


	public Timestamp getEnded( )
	{
		return ended;
	}


	public void setEnded( Timestamp ended )
	{
		this.ended = ended;
	}


	public SessionTerminationType getEndType( )
	{
		return endType;
	}


	public void setEndType( SessionTerminationType endType )
	{
		this.endType = endType;
	}

}
