package com.deepclone.lw.cmd.bt;


import com.deepclone.lw.session.Command;



public class PostCommentCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final long id;
	private final String comment;
	private final boolean publicComment;


	public PostCommentCommand( long id , String comment )
	{
		this.id = id;
		this.comment = comment;
		this.publicComment = false;
	}


	public PostCommentCommand( long id , String comment , boolean publicComment )
	{
		this.id = id;
		this.comment = comment;
		this.publicComment = publicComment;
	}


	public long getId( )
	{
		return id;
	}


	public String getComment( )
	{
		return comment;
	}


	public boolean isPublicComment( )
	{
		return publicComment;
	}

}
