package com.deepclone.lw.cmd.ext;


import com.deepclone.lw.session.CommandResponse;



public class RequestPasswordRecoveryResponse
		extends CommandResponse
{

	private static final long serialVersionUID = 1L;

	public static enum PasswordRecoveryRequestStatus {
		OK ,
		INVALID_INPUT ,
		ACCOUNT_NOT_FOUND ,
		ACCOUNT_STATUS ,
		RECOVERY_IN_PROGRESS ,
		MAIL_ERROR
	}

	private final PasswordRecoveryRequestStatus status;


	public RequestPasswordRecoveryResponse( PasswordRecoveryRequestStatus status )
	{
		this.status = status;
	}


	public PasswordRecoveryRequestStatus getStatus( )
	{
		return status;
	}

}
