package com.deepclone.lw.cmd.player.elist;


import java.util.List;

import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.NameIdPair;



public class EnemyListResponse
		extends GameResponseBase
{
	private static final long serialVersionUID = 1L;

	private final List< NameIdPair > empires;
	private final List< NameIdPair > alliances;


	public EnemyListResponse( GamePageData page , List< NameIdPair > empires , List< NameIdPair > alliances )
	{
		super( page );
		this.empires = empires;
		this.alliances = alliances;
	}


	public List< NameIdPair > getEmpires( )
	{
		return empires;
	}


	public List< NameIdPair > getAlliances( )
	{
		return alliances;
	}

}
