package com.deepclone.lw.cmd.player.elist;


import com.deepclone.lw.session.Command;



public class RemoveEnemiesCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final boolean alliance;
	private final int[] identifiers;


	public RemoveEnemiesCommand( boolean alliance , int[] identifiers )
	{
		this.alliance = alliance;
		this.identifiers = identifiers;
	}


	public boolean isAlliance( )
	{
		return alliance;
	}


	public int[] getIdentifiers( )
	{
		return identifiers;
	}

}
