package com.deepclone.lw.cmd.player.fleets;


import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.fleets.ShortFleetView;
import com.deepclone.lw.cmd.player.gdata.fleets.SplitShips;



public class SplitFleetResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private ShortFleetView initialFleet;
	private final List< SplitShips > ships = new LinkedList< SplitShips >( );

	private int nFleets = 1;
	private String name = "";
	private boolean nameError = false;
	private boolean shipsError = false;


	public SplitFleetResponse( GamePageData page )
	{
		super( page );
	}


	public ShortFleetView getInitialFleet( )
	{
		return initialFleet;
	}


	public void setInitialFleet( ShortFleetView initialFleet )
	{
		this.initialFleet = initialFleet;
	}


	public int getnFleets( )
	{
		return nFleets;
	}


	public void setnFleets( int nFleets )
	{
		this.nFleets = nFleets;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public boolean isNameError( )
	{
		return nameError;
	}


	public void setNameError( boolean nameError )
	{
		this.nameError = nameError;
	}


	public boolean isShipsError( )
	{
		return shipsError;
	}


	public void setShipsError( boolean shipsError )
	{
		this.shipsError = shipsError;
	}


	public void addShips( SplitShips ships )
	{
		this.ships.add( ships );
	}


	public List< SplitShips > getShips( )
	{
		return ships;
	}

}
