package com.deepclone.lw.cmd.player.gdata.alliance;


import java.io.Serializable;




public class AllianceData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final PublicAllianceInformation main;
	private final AllianceMemberData member;
	private final AllianceLeaderData leader;


	public AllianceData( PublicAllianceInformation main , AllianceMemberData member , AllianceLeaderData leader )
	{
		this.main = main;
		this.member = member;
		this.leader = leader;
	}


	public PublicAllianceInformation getMain( )
	{
		return main;
	}


	public AllianceMemberData getMember( )
	{
		return member;
	}


	public AllianceLeaderData getLeader( )
	{
		return leader;
	}

}
