package com.deepclone.lw.cmd.player.gdata.battles;


import java.io.Serializable;

import com.deepclone.lw.cmd.player.gdata.NameIdPair;
import com.deepclone.lw.cmd.player.gdata.TimeCombo;



public class BattleListEntry
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private long id;
	private NameIdPair location;
	private int x;
	private int y;
	private int orbit;
	private TimeCombo first;
	private TimeCombo last;


	public long getId( )
	{
		return id;
	}


	public void setId( long id )
	{
		this.id = id;
	}


	public NameIdPair getLocation( )
	{
		return location;
	}


	public void setLocation( NameIdPair location )
	{
		this.location = location;
	}


	public int getX( )
	{
		return x;
	}


	public void setX( int x )
	{
		this.x = x;
	}


	public int getY( )
	{
		return y;
	}


	public void setY( int y )
	{
		this.y = y;
	}


	public int getOrbit( )
	{
		return orbit;
	}


	public void setOrbit( int orbit )
	{
		this.orbit = orbit;
	}


	public TimeCombo getFirst( )
	{
		return first;
	}


	public void setFirst( long first )
	{
		this.first = new TimeCombo( first );
	}


	public TimeCombo getLast( )
	{
		return last;
	}


	public void setLast( long last )
	{
		this.last = new TimeCombo( last );
	}

}
