package com.deepclone.lw.cmd.player.gdata.planets;


import java.io.Serializable;



public class PlanetBasicView
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final String name;
	private final int picture;
	private final String alliance;
	private final int x;
	private final int y;
	private final int orbit;


	public PlanetBasicView( String name , int picture , String alliance , int x , int y , int orbit )
	{
		this.name = name;
		this.picture = picture;
		this.alliance = alliance;
		this.x = x;
		this.y = y;
		this.orbit = orbit;
	}


	public PlanetBasicView( PlanetBasicView source , String newName )
	{
		this.name = newName;
		this.picture = source.picture;
		this.alliance = source.alliance;
		this.x = source.x;
		this.y = source.y;
		this.orbit = source.orbit;
	}


	public String getName( )
	{
		return name;
	}


	public int getPicture( )
	{
		return picture;
	}


	public String getAlliance( )
	{
		return alliance;
	}


	public int getX( )
	{
		return x;
	}


	public int getY( )
	{
		return y;
	}


	public int getOrbit( )
	{
		return orbit;
	}

}
