package com.deepclone.lw.cmd.player.msgs;


import java.util.List;

import com.deepclone.lw.cmd.msgdata.MessageListEntry;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;



public class GetMessagesResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final List< MessageListEntry > messages;


	public GetMessagesResponse( GamePageData page , List< MessageListEntry > messages )
	{
		super( page );
		this.messages = messages;
	}


	public List< MessageListEntry > getMessages( )
	{
		return messages;
	}

}
