package com.deepclone.lw.cmd.player.msgs;


import com.deepclone.lw.cmd.msgdata.Message;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;



public class ReadMessageResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final boolean inbox;
	private final Message message;


	public ReadMessageResponse( GamePageData page , boolean inbox )
	{
		super( page );
		this.inbox = inbox;
		this.message = null;
	}


	public ReadMessageResponse( GamePageData page , boolean inbox , Message message )
	{
		super( page );
		this.inbox = inbox;
		this.message = message;
	}


	public boolean isInbox( )
	{
		return inbox;
	}


	public Message getMessage( )
	{
		return message;
	}

}
