package com.deepclone.lw.session;


import java.io.Serializable;



/**
 * Response to a session command.
 * 
 * @author tseeker
 */
public class SessionResponse
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	/** Updated session reference */
	public final SessionReference session;

	/** Response data, if any */
	public final CommandResponse data;


	public SessionResponse( SessionReference session )
	{
		this.session = session;
		this.data = null;
	}


	public SessionResponse( SessionReference session , CommandResponse data )
	{
		this.session = session;
		this.data = data;
	}

}
