<@page title="Request ban">
	<@form action="request-ban">
		<#switch data.error!"">
			<#case "NOT_FOUND"><@form_error>User not found</@form_error><#break>
			<#case "BANNED"><@form_error>User is already banned or has a pending ban request.</@form_error><#break>
			<#case "NO_REASON"><@form_error>You have no reason!...</@form_error><#break>
		</#switch>
		<#if data.empire!false>
			<#assign eValue = data.user!"" >
			<#assign mValue = "" >
		<#else>
			<#assign mValue = data.user!"" >
			<#assign eValue = "" >
		</#if>
		<@form_text label="Empire name" value="" name="eName" value=eValue />
		<@form_text label="(or) User address" value="" name="eMail" value=mValue />
		<@form_text label="Reason" name="reason" value="" multiline=true maxLength=10 value=data.reason!"" />
		<@form_submit label="Request ban" />
	</@form>
</@page>