<#include "bugsTabs.ftl">
<#macro render>
<#if data.query.ownOnly>
	<#local ownOnly = "1">
<#else>
	<#local ownOnly = "0">
</#if>
<#local qString = "status=${data.query.status!'x'}&amp;own=${ownOnly}" >
<@page title="Bug tracker - Report bug">
	<@bugTabs selected="bugsReport" qString="${qString}&amp;first=${data.query.first}" />

	<@form action="report-bug">
		<tr style="display:none"><td colspan="2">
			<input type="hidden" name="status" value="${(data.query.status!'x')?xhtml}" />
			<input type="hidden" name="own" value="${ownOnly}" />
			<input type="hidden" name="first" value="${data.query.first}" />
		</td></tr>

		<#switch data.titleError!"">
			<#case "EMPTY"><@form_error>Please specify the report's title</@form_error><#break>
			<#case "INVALID"><@form_error>Title should be at least 10 characters long</@form_error><#break>
		</#switch>
		<@form_text label="Title" name="title" value=data.title!"" maxLength=127 />

		<#switch data.descriptionError!"">
			<#case "EMPTY"><@form_error>Please specify the bug's description</@form_error><#break>
			<#case "INVALID"><@form_error>Title should be at least 30 characters long</@form_error><#break>
		</#switch>
		<@form_text label="Description" name="description" value=data.description!"" multiline=true maxLength=10 />
		
		<@form_select name="public" label="Visible by players">
			<@form_option value="0">No</@form_option>
			<@form_option value="1" selected=data.publicReport!false>Yes</@form_option>
		</@form_select>
		
		<@form_submit label="Post bug report" />

	</@form>

</@page>
</#macro>
<@render />