<#macro bugTab href title selected>
	<a class="tab-button<#if selected> selected-tab</#if>" href="${href}">${title}</a>
</#macro>
<#macro bugTabs selected qString>
	<div class="tab-buttons">
		<@bugTab href="btracker" title="Summary" selected=( selected = 'bugsSummary' ) />
		<@bugTab href="bugs?${qString}" title="List bugs" selected=( selected = 'bugsList' ) />
		<@bugTab href="report-bug?${qString}" title="Report bug" selected=( selected = 'bugsReport' ) />
	</div>
</#macro>
<#macro bugStatus status>
	<#switch status>
		<#case "PENDING">pending validation<#break>
		<#case "OPEN">being handled<#break>
		<#case "RESOLVED">fixed<#break>
		<#case "WONT_FIX">won't fix<#break>
		<#case "NOT_A_BUG">not a bug<#break>
	</#switch>
</#macro>