<#macro render_language lang>
	<@lv_line>
		<@lv_column centered=true><a href="i18n-${lang.id}">${lang.id}</a></@lv_column>
		<@lv_column>${lang.name?xhtml}</@lv_column>
		<@lv_column centered=true>${lang.completion}%</@lv_column>
		<@lv_column centered=true><a href="i18n-export-${lang.id}">(XML export)</a></@lv_column>
	</@lv_line>
</#macro>
<@page title="Languages">
	<@listview>

		<@lv_line headers=true>
			<@lv_column width=100 centered=true>ID</@lv_column>
			<@lv_column width="x">Name</@lv_column>
			<@lv_column width=200 centered=true>Completion %</@lv_column>
			<@lv_column width=150>&nbsp;</@lv_column>
		</@lv_line>

		<#list data.languages as lang>
			<@render_language lang=lang />
		</#list>

	</@listview>
</@page>