package com.deepclone.lw.web.admin.i18ne;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;



@SuppressWarnings( "serial" )
@XStreamAlias( "language" )
public class LanguageExport
		implements Serializable
{
	@XStreamAsAttribute
	public String id;

	@XStreamAsAttribute
	public String name;

	@XStreamImplicit
	public List< StringExport > strings = new LinkedList< StringExport >( );

}
