package com.deepclone.lw.web.beans.intercept;


import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;



public class IEContentTypeBean
		extends HandlerInterceptorAdapter
{

	@Override
	public void postHandle( HttpServletRequest request , HttpServletResponse response , Object handler ,
			ModelAndView modelAndView )
	{
		String userAgent = request.getHeader( "User-Agent" );
		if ( userAgent.contains( "MSIE" )
				&& ( response.getContentType( ) == null || response.getContentType( ).startsWith( "application/xhtml+xml" ) ) ) {
			response.setHeader( "Content-Type" , "text/html" );
		}
	}
}
