<#macro dt_main title="">
	<table class="data-table">
		<#if title != "">
			<tr><th colspan="2" class="title">${title}</th></tr>
		</#if>
		<#nested>
	</table>
</#macro>
<#macro dt_entry title abbr="" width=0>
	<tr>
		<th<#if width gt 0> style="width: ${width}px"</#if>><#if title == "">&nbsp;<#else><#if abbr != ""><abbr title="${title?xhtml}">${abbr?xhtml}</abbr><#else>${title?xhtml}</#if>:</#if></th>
		<td><#nested></td>
	</tr>
</#macro>
<#macro dt_blank>
	<tr><td colspan="2">&nbsp;</td></tr>
</#macro>
<#macro dt_status>
	<tr><td colspan="2" class="status"><#nested></td></tr>
</#macro>