<#macro listviewStart>
	<table class="list-view">
</#macro> 
<#macro listviewEnd>
	</table>
</#macro> 
<#macro listview>
	<@listviewStart />
		<#nested>
	<@listviewEnd />
</#macro>
<#macro lv_line headers=false class="" id="">
	<tr<#if class != ""> class="${class}<#if headers>headers</#if>"<#elseif headers> class="headers"</#if><#if id != ""> id="${id?xhtml}"</#if>>
		<#nested>
	</tr>
</#macro>
<#macro lv_column width=0 centered=false right=false colspan=0 id="">
	<#if width?is_string>
		<th style="text-align: <#if centered>center<#elseif right>right<#else>left</#if>"<#if colspan gt 1> colspan="${colspan}"</#if><#if id != ""> id="${id?xhtml}"</#if>>
			<#nested>
		</th>
	<#elseif width gt 0>
		<th style="width: ${width}px; text-align: <#if centered>center<#elseif right>right<#else>left</#if>"<#if colspan gt 1> colspan="${colspan}"</#if><#if id != ""> id="${id?xhtml}"</#if>>
			<#nested>
		</th>
	<#else>
		<td style="text-align: <#if centered>center<#elseif right>right<#else>left</#if>"<#if colspan gt 1> colspan="${colspan}"</#if><#if id != ""> id="${id?xhtml}"</#if>>
			<#nested>
		</td>
	</#if>
</#macro>